/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import { Readable, Transform, TransformCallback, Writable, PassThrough } from 'stream';
import { StringDecoder } from 'string_decoder';
import { PrettySimple } from './pretty/simple.js';
export declare class PrettyTransform extends Transform {
    decoder: StringDecoder;
    pretty: PrettySimple;
    /**
     * Create a writeable stream that will pretty print anything that is written to it onto the output stream
     *  @param output the destination stream
     */
    static stream(output?: Writable, transform?: PrettyTransform): PassThrough;
    /**
     * Pretty print all the output from source stream onto the output stream
     * @param source the source stream to read from
     * @param output the destination stream
     */
    static pretty(source: Readable, output?: Writable, transform?: PrettyTransform): PrettyTransform;
    constructor();
    _transform(chunk: Buffer, encoding: string, callback: TransformCallback): void;
}
//# sourceMappingURL=transform.d.ts.map